package com.bocloud.ims.common.enums;

public class HmcStatus {
    /**
     * 概要文件状态枚举
     * 
     * @author tanshaolong
     *
     */
    public static enum PROFILE {
        // 创建中
        CREATING("PROFILE_CREATING"),
        // 更新
        UPDATING("PROFILE_UPDATING"),
        // 删除
        DELETING("PROFILE_DELETING");

        private PROFILE(String name) {
            this.name = name;
        }

        private String name;

        public String getName() {
            return name;
        }
    }

    /**
     * 概要文件状态枚举
     * 
     * @author tanshaolong
     *
     */
    public static enum PARTITION {
        // 创建中
        CREATING("PARTITION_CREATING"),
        // 更新
        UPDATING("PARTITION_UPDATING"),
        // 删除
        DELETING("PARTITION_DELETING"),
        // 装机中
        INSTALLING("INSTALLING"),
        // 装机成功
        INSTALL_OK("INSTALL_OK"),
        // 装机失败
        INSTALL_FAIL("INSTALL_FAIL"),
        // 装机取消
        INSTALL_CANCEL("INSTALL_CANCEL"),
        // 正在激活
        POWERON_RUNNING("POWERON_RUNNING"),
        // 正在关闭
        POWEROFF_RUNNING("POWEROFF_RUNNING"),
        // 正在重启
        RESTART_RUNNING("RESTART_RUNNING");

        private PARTITION(String name) {
            this.name = name;
        }

        private String name;

        public String getName() {
            return name;
        }

        public static PARTITION getByName(String name) {
            for (PARTITION value : PARTITION.values()) {
                if (value.name.equals(name)) {
                    return value;
                }
            }
            return null;
        }
    }

    /**
     * 服务器状态枚举
     * 
     * @author tanshaolong
     *
     */
    public static enum SERVER {
        // 创建中
        CREATING("CREATE_RUNNING"),
        // 创建中
        UPDATING("UPDATE_RUNNING"),
        // 开机中
        POWERONING("POWERON_RUNNING"),
        // 断电中
        POWEROFFING("POWEROFF_RUNNING"),
        // 关闭连接中
        REMOVE_CONNECTING("REMOVE_CONNECTION_RUNNING"),
        // 重置连接中
        RESET_CONNECTING("RESET_CONNECTION_RUNNING");

        private SERVER(String name) {
            this.name = name;
        }

        private String name;

        public String getName() {
            return name;
        }
    }

    /**
     * 磁盘状态枚举
     * 
     * @author lkx007
     *
     */
    public static enum DISK {
        // 创建中
        CREATING("CREATING"),
        // 更新中
        UPDATING("UPDATING"),
        // 更新失败
        UPDATE_FAIL("UPDATE_FAIL"),
        // 删除中
        DELETING("DELETING"),
        // 删除失败
        DELETE_FAIL("DELETE_FAIL"),
        // 分配中
        ASSIGNING("ASSIGNING"),
        // 分配失败
        ASSIGN_FAIL("ASSIGN_FAIL"),
        // 取消分配中
        UNASSIGNING("UNASSIGNING"),
        // 取消分配失败
        UNASSIGN_FAIL("UNASSIGN_FAIL"),
        // 正常状态
        NORMAL("NORMAL");

        private DISK(String name) {
            this.name = name;
        }

        private String name;

        public String getName() {
            return name;
        }
    }
}
